Debian Bug report logs - #614560
blcr-dkms: Error! Bad return status for module build on kernel: 2.6.37-1-amd64 (x86_64)

version graph

Package: blcr-dkms; Maintainer for blcr-dkms is Alan Woodland <awoodland@debian.org>; Source for blcr-dkms is src:blcr.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Tue, 22 Feb 2011 09:48:01 UTC

Severity: important

Found in version blcr/0.8.2-15

Fixed in version blcr/0.8.4-1

Done: Alan Woodland <awoodland@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alan Woodland <awoodland@debian.org>:
Bug#614560; Package blcr-dkms. (Tue, 22 Feb 2011 09:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Alan Woodland <awoodland@debian.org>. (Tue, 22 Feb 2011 09:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: blcr-dkms: Error! Bad return status for module build on kernel: 2.6.37-1-amd64 (x86_64)
Date: Tue, 22 Feb 2011 10:44:51 +0100
Package: blcr-dkms
Version: 0.8.2-15
Severity: important


Hi,

  I cannot install blcr-dkms on my system:

Processing triggers for gnome-menus ...
Setting up blcr-dkms (0.8.2-15) ...

Creating symlink /var/lib/dkms/blcr/0.8.2/source ->
                 /usr/src/blcr-0.8.2

DKMS: add Completed.

Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area....
make KERNELRELEASE=2.6.37-1-amd64 -C /lib/modules/2.6.37-1-amd64/build M=/var/lib/dkms/blcr/0.8.2/build......................(bad exit status: 2)

Error! Bad return status for module build on kernel: 2.6.37-1-amd64 (x86_64)
Consult the make.log in the build directory
/var/lib/dkms/blcr/0.8.2/build/ for more information.
0
0


Thanks !

-- System Information:
Debian Release: 6.0
  APT prefers squeeze-updates
  APT policy: (500, 'squeeze-updates'), (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages blcr-dkms depends on:
ii  dkms                          2.1.1.2-5  Dynamic Kernel Module Support Fram
ii  linux-headers-2.6.37-1-amd64  2.6.37-1   Header files for Linux 2.6.37-1-am
ii  make                          3.81-8     An utility for Directing compilati

Versions of packages blcr-dkms recommends:
ii  blcr-util                     0.8.2-15   Userspace tools to Checkpoint and 

blcr-dkms suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Alan Woodland <awoodland@debian.org>:
Bug#614560; Package blcr-dkms. (Tue, 22 Feb 2011 09:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Alan Woodland <awoodland@debian.org>. (Tue, 22 Feb 2011 09:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 614560@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 614560@bugs.debian.org
Subject: Re: Bug#614560: Acknowledgement (blcr-dkms: Error! Bad return status for module build on kernel: 2.6.37-1-amd64 (x86_64))
Date: Tue, 22 Feb 2011 10:48:41 +0100
[Message part 1 (text/plain, inline)]
Forgot the make.log sorry.
[make.log (text/x-log, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#614560; Package blcr-dkms. (Thu, 24 Feb 2011 17:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan Woodland <awoodland@debian.org>:
Extra info received and forwarded to list. (Thu, 24 Feb 2011 17:36:09 GMT) Full text and rfc822 format available.

Message #15 received at 614560@bugs.debian.org (full text, mbox):

From: Alan Woodland <awoodland@debian.org>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: 614560@bugs.debian.org
Subject: Re: blcr-dkms: Error! Bad return status for module build on kernel: 2.6.37-1-amd64 (x86_64)
Date: Thu, 24 Feb 2011 17:16:38 +0000
[Message part 1 (text/plain, inline)]
On -10/01/37 20:59, Mathieu Malaterre wrote:
> Package: blcr-dkms
> Version: 0.8.2-15
> Severity: important
> 
> 
> Hi,
> 
>   I cannot install blcr-dkms on my system:
> 
[snip]
> Building module:
> cleaning build area....
> make KERNELRELEASE=2.6.37-1-amd64 -C /lib/modules/2.6.37-1-amd64/build M=/var/lib/dkms/blcr/0.8.2/build......................(bad exit status: 2)
> 
> Error! Bad return status for module build on kernel: 2.6.37-1-amd64 (x86_64)
> Consult the make.log in the build directory
> /var/lib/dkms/blcr/0.8.2/build/ for more information.

Hi,

The currently packaged version of BLCR doesn't have support for kernels
version 2.6.35 or more recent. I have a patch for this in testing with
the upstream authors currently. I hope to be able to make an upload with
a "blessed" patch in the not too distant future.

Alan

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alan Woodland <awoodland@debian.org>:
Bug#614560; Package blcr-dkms. (Thu, 14 Jul 2011 14:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Roland Koch" <roland.koch.hochspannung@o2online.de>:
Extra info received and forwarded to list. Copy sent to Alan Woodland <awoodland@debian.org>. (Thu, 14 Jul 2011 14:30:06 GMT) Full text and rfc822 format available.

Message #20 received at 614560@bugs.debian.org (full text, mbox):

From: "Roland Koch" <roland.koch.hochspannung@o2online.de>
To: <614560@bugs.debian.org>
Subject: package blcr-dkms 0.8.2-15ubuntu1 failed to install/upgrade: blcr kernel module failed to build - error: ‘struct signal_struct’
Date: Thu, 14 Jul 2011 15:13:25 +0200 (CEST)
Hallo,

I just want to add, that this error appeared today the first time after an automatic apdate. apt-get dist-upgrade didn't help.

Best regards
Roland
Unterwegs über Ihre E-Mails informiert mit der kostenlosen SMS-Benachrichtigung von o2! Mehr Infos unter http://www.o2online.de/goto/benachrichtigung 






Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#614560; Package blcr-dkms. (Wed, 12 Oct 2011 11:06:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan Woodland <awoodland@debian.org>:
Extra info received and forwarded to list. (Wed, 12 Oct 2011 11:06:55 GMT) Full text and rfc822 format available.

Message #25 received at 614560@bugs.debian.org (full text, mbox):

From: Alan Woodland <awoodland@debian.org>
To: 614560@bugs.debian.org
Subject: Fwd: [Checkpoint] Announcing the release of BLCR 0.8.4
Date: Wed, 12 Oct 2011 12:03:42 +0100
There's a new upstream release which adds support for more recent
kernels. I'm currently testing it with a view to making an upload
tonight.

---------- Forwarded message ----------
From: Paul H. Hargrove <PHHargrove@lbl.gov>
Date: 12 October 2011 02:03
Subject: [Checkpoint] Announcing the release of BLCR 0.8.4
To: "checkpoint@lbl.gov" <checkpoint@lbl.gov>


I am pleased to announce the release of Berkeley Lab Checkpoint/Restart
(BLCR) version 0.8.4, which is now available from the BLCR Downloads
page: http://ftg.lbl.gov/CheckpointRestart/CheckpointDownloads.html

Relative to 0.8.3 this release extends support to 2.6.38 kernels and
fixes minor bugs.  A summary of the user-visible changes in BLCR,
relative to 0.8.3, appears below in the form of an excerpt from the NEWS
file.

-Paul

0.8.4
-----------
October 11, 2011
Bug fix and expanded-support release.
 - This release fixes the following user-visible bugs and "issues"
   + This release adds support for "vanilla" Linux kernels up to 2.6.38.
   + This release adds support for recent RHEL5 kernels.
   + Occasional "random" failures on x86 have been identified and fixed.

--
Paul H. Hargrove                          PHHargrove@lbl.gov
Future Technologies Group
HPC Research Department                   Tel: +1-510-495-2352
Lawrence Berkeley National Laboratory     Fax: +1-510-486-6900
_______________________________________________
BLCR mailing list
checkpoint@lbl.gov
https://hpcrdm.lbl.gov/cgi-bin/mailman/listinfo/checkpoint




Reply sent to Alan Woodland <awoodland@debian.org>:
You have taken responsibility. (Wed, 12 Oct 2011 19:03:03 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug acknowledged by developer. (Wed, 12 Oct 2011 19:03:03 GMT) Full text and rfc822 format available.

Message #30 received at 614560-close@bugs.debian.org (full text, mbox):

From: Alan Woodland <awoodland@debian.org>
To: 614560-close@bugs.debian.org
Subject: Bug#614560: fixed in blcr 0.8.4-1
Date: Wed, 12 Oct 2011 19:02:21 +0000
Source: blcr
Source-Version: 0.8.4-1

We believe that the bug you reported is fixed in the latest version of
blcr, which is due to be installed in the Debian FTP archive:

blcr-dkms_0.8.4-1_all.deb
  to main/b/blcr/blcr-dkms_0.8.4-1_all.deb
blcr-testsuite_0.8.4-1_amd64.deb
  to main/b/blcr/blcr-testsuite_0.8.4-1_amd64.deb
blcr-util_0.8.4-1_amd64.deb
  to main/b/blcr/blcr-util_0.8.4-1_amd64.deb
blcr_0.8.4-1.debian.tar.gz
  to main/b/blcr/blcr_0.8.4-1.debian.tar.gz
blcr_0.8.4-1.dsc
  to main/b/blcr/blcr_0.8.4-1.dsc
blcr_0.8.4.orig.tar.gz
  to main/b/blcr/blcr_0.8.4.orig.tar.gz
lib32cr0_0.8.4-1_amd64.deb
  to main/b/blcr/lib32cr0_0.8.4-1_amd64.deb
libcr-dbg_0.8.4-1_amd64.deb
  to main/b/blcr/libcr-dbg_0.8.4-1_amd64.deb
libcr-dev_0.8.4-1_amd64.deb
  to main/b/blcr/libcr-dev_0.8.4-1_amd64.deb
libcr0_0.8.4-1_amd64.deb
  to main/b/blcr/libcr0_0.8.4-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 614560@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alan Woodland <awoodland@debian.org> (supplier of updated blcr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 12 Oct 2011 12:55:23 +0100
Source: blcr
Binary: blcr-util blcr-testsuite blcr-dkms libcr0 libcr-dbg lib32cr0 libcr-dev
Architecture: source all amd64
Version: 0.8.4-1
Distribution: unstable
Urgency: low
Maintainer: Alan Woodland <awoodland@debian.org>
Changed-By: Alan Woodland <awoodland@debian.org>
Description: 
 blcr-dkms  - DKMS support for BLCR kernel module
 blcr-testsuite - Userspace tools to Checkpoint and Restart Linux processes
 blcr-util  - Userspace tools to Checkpoint and Restart Linux processes
 lib32cr0   - (32bit) Libraries to Checkpoint and Restart Linux processes
 libcr-dbg  - Libraries to Checkpoint and Restart Linux processes
 libcr-dev  - Development files for BLCR
 libcr0     - Libraries to Checkpoint and Restart Linux processes
Closes: 614560 622720 628871
Changes: 
 blcr (0.8.4-1) unstable; urgency=low
 .
   * Update to upstream 0.8.4 release
     - Includes 01_fix_recent.diff, 02_fix_i386_on_amd64.diff, 03_fix_2.6.32,
                06_ubuntu_linux-rt_support 08_fix_to_2.6.34
     - Adds support for kernels upto and including 2.6.38
        (Closes: #614560) LP: #700036
   * blcr-dkms still lacks support for 2.6.39/3.x kernels, but is useful to:
     - Users running newer kernels with stable
     - Users running older kernels with testing/unstable
     - Developers working on support for newer kernels
   * Include armhf patch in Debian (Closes: #622720)
   * Switched linux-headers depends to newer packages (Closes: #628871)
   * Bump standards, no changes needed
Checksums-Sha1: 
 ecd633d2c6ccd65720db5fa1e72069a180f94c79 2092 blcr_0.8.4-1.dsc
 2ed4da89cef49bf87447713299b0cf798f63d2b7 905080 blcr_0.8.4.orig.tar.gz
 f77824b1c25c755e66b6969cddaa3c975d59843f 691349 blcr_0.8.4-1.debian.tar.gz
 3eeef6e596d57edd15e86926e570fa095b02c31d 948340 blcr-dkms_0.8.4-1_all.deb
 13721e439ae6d9ec748be5fa81fea80c0cb7b21d 42948 blcr-util_0.8.4-1_amd64.deb
 fa6b886cdc4686428e4a8574a6381fd8da16b97a 355874 blcr-testsuite_0.8.4-1_amd64.deb
 ccf4c8b855486ee5c90935cd666ad9b145cf2eed 36664 libcr0_0.8.4-1_amd64.deb
 d6cf3527a1ec592fd8d0830a99ac354a6a3e0555 878202 libcr-dbg_0.8.4-1_amd64.deb
 da9c6a0ca27bd67fb41fb97cf31b05875b3a1795 36410 lib32cr0_0.8.4-1_amd64.deb
 716c1ac20fb94873a76533cbdb8beb77da579396 42776 libcr-dev_0.8.4-1_amd64.deb
Checksums-Sha256: 
 6a7d4e033067c058e01124cd6ad2ed90a677ce5aea28966776005b84a6da0d4c 2092 blcr_0.8.4-1.dsc
 d851da66627d9212ac37bc9ea2aba40008ff2dc51d45dbd395ca2e403c3d78cf 905080 blcr_0.8.4.orig.tar.gz
 565b4ff0fd46bb2b6f07058559c16525cbb3bef7356cd6d0db815d845307eac1 691349 blcr_0.8.4-1.debian.tar.gz
 8941aeafbc62654108c0bdd7c25a30f5afb5fdd91850b84bc8660725981ff634 948340 blcr-dkms_0.8.4-1_all.deb
 726e9a035fdf09006e26db6b2b278d6408357d0b931ead12ce4f00ef052ffda3 42948 blcr-util_0.8.4-1_amd64.deb
 4c83316a1d69038af9a5054bc356801895cf4ab41e58d43b570ac74823f406c9 355874 blcr-testsuite_0.8.4-1_amd64.deb
 124cf9b9b9de8f4fffb2dd1410eb676f43cebccd4f5f525c5f36fb59851c49bd 36664 libcr0_0.8.4-1_amd64.deb
 1f6c4282dcb2beafa8585fb303fe17a69bac3e891eee5104dd07a5f1b1fb9d21 878202 libcr-dbg_0.8.4-1_amd64.deb
 4f011a70d9a5d1850b0b02eddfc31710db9f7926dd82d005cfa2f67db037d4fc 36410 lib32cr0_0.8.4-1_amd64.deb
 116a65ba2b1e552b224c3984d1d221b53e27c816871377c76842f30548806e4f 42776 libcr-dev_0.8.4-1_amd64.deb
Files: 
 18045f3598e84c83ab41fa9896afee25 2092 misc optional blcr_0.8.4-1.dsc
 541f535453e92abefb7ad755fd1fb9e0 905080 misc optional blcr_0.8.4.orig.tar.gz
 349401fba0cc8578181ff8b0a4674079 691349 misc optional blcr_0.8.4-1.debian.tar.gz
 650bede70922b4cb96ef49d30afab81b 948340 kernel optional blcr-dkms_0.8.4-1_all.deb
 0083508d90c35ca1e4cc02138505de05 42948 misc optional blcr-util_0.8.4-1_amd64.deb
 0c4f71d17cd32821862ff6097549c3ce 355874 misc optional blcr-testsuite_0.8.4-1_amd64.deb
 d59026d93f0fb7f2ea9851530fd250bc 36664 libs optional libcr0_0.8.4-1_amd64.deb
 9c949b8da72e0cb0d528abcac320d45b 878202 debug extra libcr-dbg_0.8.4-1_amd64.deb
 4da08e0ed2444578c47ef0cad8f8e346 36410 libs optional lib32cr0_0.8.4-1_amd64.deb
 c7c173fef6e6d1aa6c7cb2f327f51c60 42776 libdevel optional libcr-dev_0.8.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJOleIcAAoJEFCYAhxwUYB4jB8P/RuqEO/lhYOs4QfE20GGJKJc
/99NJIjghPAvNfI4F27rGvX68t3T9rP6+kMSZOTk8VEC+9Pq6aVHF2hhg4PD6Cjz
LbkjkFuSfPFTn6Qe6sdpfd/qrTEBCLbg43MGmtMNPkcqSsx8nd48daHIRPEf76tl
BQjpFKkAxVTM6Y+nRHbKtwQvwaSAeQu5zwEU2tQBJyapdBC6hgFU4eMfdvvF3Igf
Z8moYpHmf+eDiHS8X0LQCTmC/31FceR9tWb/XB6fhq9tlH/+hKWL4kUf41dTCX6A
ZZwQ2A2Gvi6Ivj1dIEYJIW85ppVhdrEKbbdAdBLeNVw/Vn/cdUZaUxUyVfNX+IIB
dOZMTV/RPpB+jJvVd911oWvmZ1Gqv2mpmDRt9WmMwSF3nv/KSQhehEaGxCU/uJUU
4yP/I5Bnq7zh5SFbNWg7kQgTWFHy6tddwDvMbVzgfYv0wWlHxvIdhi6d3c1N/JcT
iezu18Egz9KlRn5nLvlh7D+vsxvw/F5s13uSTzYX4KZa8D/8N9OSIIk5u9agRQ9d
iFRb1JA7dVc4hC9BSo3nlCX+CY1C2lqZCsYVOO6poEl0iWRaDefJl+L1dEsZCXtt
2gl0lS8I/cZ4AARCjWYhWiW+vhIw7doze6dvwY7e68CzKnd673TfYmuf1d18uVzt
Ktbm6h7g0RTQUMcqiCwo
=UPLq
-----END PGP SIGNATURE-----





Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:54:36 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 Dec 2012 07:26:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:27:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.